_main:
    MOV R0 0   ; a
    MOV R1 1   ; b
    OUT R0     ; print 0

_loop:
    OUT R1     ; print b
    MOV R2 0   ; 0
    MOV R3 R0  ; c = a
    SUB R2 R1  ; 0 - b
    SUB R3 R2  ; a - (0 - b) = a - -b = a + b

    MOV R0 R1  ; a = b
    MOV R1 R3  ; b = c

    CMP R1 R0
    JLT _end   ; end si b < a
    JMP _loop

_end:
	MOV R0 'A'	;11100000 01000001
    RET